// -*- C++ -*-

// Copyright 2006 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
// or its licensors, as applicable.
// Copyright 1995-2005 Thomas M. Breuel
// 
// You may not use this file except under the terms of the accompanying license.
// 
// Licensed under the Apache License, Version 2.0 (the "License"); you
// may not use this file except in compliance with the License. You may
// obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// Project: imglib -- image processing library
// File: imgbrushfire.h
// Purpose: interfaces to imgbrushfire.cc
// Responsible: tmb
// Reviewer: 
// Primary Repository: 
// Web Sites: www.iupr.org, www.dfki.de

#ifndef h_imgbrushfire__
#define h_imgbrushfire__

#include "coords.h"

namespace iupr {

void brushfire_1(floatarray &distance,float maxdist=1e30);
void brushfire_2(floatarray &distance,float maxdist=1e30);
void brushfire_inf(floatarray &distance,float maxdist=1e30);
void brushfire_1(floatarray &distance,narray<point> &source,float maxdist=1e30);
void brushfire_2(floatarray &distance,narray<point> &source,float maxdist=1e30);
void brushfire_inf(floatarray &distance,narray<point> &source,float maxdist=1e30);
void brushfire_1(floatarray &distance,intarray &source,float maxdist=1e30);
void brushfire_2(floatarray &distance,intarray &source,float maxdist=1e30);
void brushfire_inf(floatarray &distance,intarray &source,float maxdist=1e30);
void dilate_1(floatarray &image,float r);
void dilate_2(floatarray &image,float r);
void dilate_inf(floatarray &image,float r);
void erode_1(floatarray &image,float r);
void erode_2(floatarray &image,float r);
void erode_inf(floatarray &image,float r);

}

#endif
