// Copyright 2006 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
// or its licensors, as applicable.
// Copyright 1995-2005 Thomas M. Breuel
// 
// You may not use this file except under the terms of the accompanying license.
// 
// Licensed under the Apache License, Version 2.0 (the "License"); you
// may not use this file except in compliance with the License. You may
// obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// Project: imglib -- image processing library
// File: imgrescale.h
// Purpose: bicubic (and other) scaling
// Responsible: mezhirov
// Reviewer: 
// Primary Repository: 
// Web Sites: www.iupr.org, www.dfki.de

#ifndef h_imgrescale_
#define h_imgrescale_

#include "iupr.h"
namespace iupr {
    void rough_rescale  (floatarray &dst, const floatarray &src, int w, int h);
    void bicubic_rescale(floatarray &dst, const floatarray &src, int w, int h);
    void rescale        (floatarray &dst, const floatarray &src, int w, int h);
    void rescale        (bytearray &dst,  const bytearray &src,  int w, int h);
    void rescale_to_width(floatarray &dst, const floatarray &src, int w);
    void rescale_to_width(bytearray &dst, const bytearray &src, int w);
    void rescale_to_height(floatarray &dst, const floatarray &src, int h);
    void rescale_to_height(bytearray &dst, const bytearray &src, int h);
}

#endif
