// Copyright 2006 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz
// or its licensors, as applicable.
//
// You may not use this file except under the terms of the accompanying license.
//
// Licensed under the Apache License, Version 2.0 (the "License"); you
// may not use this file except in compliance with the License. You may
// obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// Project:
// File: langmod-aspell.h
// Purpose: using Aspell as a language model
// Responsible: mezhirov
// Reviewer:
// Primary Repository:
// Web Sites: www.iupr.org, www.dfki.de


#ifndef h_langmod_aspell_
#define h_langmod_aspell_

#include "ocrinterfaces.h"

namespace iupr {
    /// An AspellLanguageModel wraps another language model; when it's time for calculation,
    /// it checks every word with Aspell and those words that are not found will have their cost increased.
    /// Output of Aspell language model will always consist of words found in a dictionary (an additional word
    /// 'foo' is used when no guess could be made).
    ILanguageModel *make_AspellLanguageModel(ILanguageModel *lm);
};

#endif

