// Copyright 2006 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
// or its licensors, as applicable.
// 
// You may not use this file except under the terms of the accompanying license.
// 
// Licensed under the Apache License, Version 2.0 (the "License"); you
// may not use this file except in compliance with the License. You may
// obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// Project:
// File: 
// Purpose: 
// Responsible: 
// Reviewer: 
// Primary Repository: 
// Web Sites: 

#include <stdio.h>
#include <wchar.h>
#include <stdlib.h>
#include "iupr.h"
#include "triv-hocr.h" 

namespace iupr {
    
param_bool remove_hyphens("remove_hyphens",true,"join words separated by a hyphen and a newline");

void output_hOCR_char(FILE *file, int c) {
    switch(c) {
        case '&': fprintf(file, "%ls", L"&amp;"); break;
        case '<': fprintf(file, "%ls", L"&lt;"); break;
        case '>': fprintf(file, "%ls", L"&gt;"); break;
        default:
            fprintf(file, "%lc", c);
    }
}

void output_hOCR_line(FILE *file, ucarray &line, rectangle &bbox, int page_height) {
    fprintf(file, "<span class='ocr_line' title='bbox %d %d %d %d'>",
                   bbox.x0,                    // left
                   page_height - bbox.y1,  // top
                   bbox.x1,                    // right
                   page_height - bbox.y0); // bottom
    
    for(int i = 0; i < line.length()-1; i++) {
        output_hOCR_char(file, line[i]);
    }
    if (remove_hyphens && line.length() && line[line.length() - 1] == '-') {
        fprintf(file, "</span>");
    } else {
        if (line.length())
            output_hOCR_char(file, line[line.length()-1]);
        fprintf(file, "</span>\n");
    }
}

}
