// Copyright 2006 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
// or its licensors, as applicable.
// 
// You may not use this file except under the terms of the accompanying license.
// 
// Licensed under the Apache License, Version 2.0 (the "License"); you
// may not use this file except in compliance with the License. You may
// obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// Project: ocr-adaptive
// File: triv-hocr.h
// Purpose: simple routines to write hOCR
// Responsible: mezhirov
// Reviewer: 
// Primary Repository: 
// Web Sites: www.iupr.org, www.dfki.de


#ifndef h_triv_hocr_
#define h_triv_hocr_

#include "narray.h"
#include "coords.h"

namespace iupr {

/// Output a character performing necessary HTML entity conversions.
void output_hOCR_char(FILE *file, int c);

void output_hOCR_line(FILE *file,
                      ucarray &line,
                      rectangle &bbox,
                      int page_height);

}

#endif
