// -*- C++ -*-

// Copyright 2006 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
// or its licensors, as applicable.
// Copyright 1995-2005 by Thomas M. Breuel
// 
// You may not use this file except under the terms of the accompanying license.
// 
// Licensed under the Apache License, Version 2.0 (the "License"); you
// may not use this file except in compliance with the License. You may
// obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// Project:
// File: 
// Purpose: 
// Responsible: 
// Reviewer: 
// Primary Repository: 
// Web Sites: 


#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include "iupr.h"
#include "coords.h"
#include "imglabels.h"
#include "io_pbm.h"

using namespace iupr;

int main(int argc,char **argv) {
    if(isatty(0)) {
	fprintf(stderr,"usage: %s < image > labeled-connected-components\n",argv[0]);
	exit(1);
    }
    try {
        bytearray graymap;
	intarray image;
	read_pnm_gray(stdin, graymap);
	autoinvert(graymap);
        copy(image, graymap);
	label_components(image);
	write_ppm_packed(stdout, image);
    } catch(const char *msg) {
	fprintf(stderr,"exception: %s\n",msg);
	exit(1);
    }
}
