### non-adaptive OCR without (explicit) language modeling, but using
### grayscale images; not that the grayscale image is simply "tacked on"
### as an extra source of information

if [ $# -ne 1 ]; then
    echo "usage: $0 <image>"
    exit
fi

DIR=`dirname $0`

# binarize
$DIR/ocropus binarize $1 page.bin.png

# segment the page into columns, lines, ...
$DIR/ocropus pageseg page.bin.png page.psg.png

# extract all the lines in reading order
$DIR/ocropus extract-lines page.psg.png line- $1 gray-line-

# perform simple, non-adaptive OCR
for line in line-*.png; do
    $DIR/ocropus linerec gray-$line $line 
done
